<?php

namespace Drupal\site_integrator\PathProcessor;

use Drupal\Core\PathProcessor\InboundPathProcessorInterface;
use Symfony\Component\HttpFoundation\Request;

/**
 * Defines a path processor to gather all sub-path elements.
 */
class PathProcessorSiteIntegrator implements InboundPathProcessorInterface {

  /**
   * {@inheritdoc}
   */
  public function processInbound($path, Request $request) {
    $integrated_site = site_integrator_get_integrated_site($path);
    if (!empty($integrated_site)) {
      $path = $integrated_site->getPath();
    }
    return $path;
  }

}
