<?php

namespace Drupal\site_integrator\Routing;

use Symfony\Component\Routing\Route;
use Symfony\Component\Routing\RouteCollection;

/**
 * Defines dynamic routes.
 */
class SiteIntegratorRoutes {

  /**
   * {@inheritdoc}
   */
  public function routes() {
    $route_collection = new RouteCollection();

    $storage = \Drupal::entityTypeManager()->getStorage('integrated_site');
    $integrated_site_ids = $storage->getQuery()->accessCheck(FALSE)->execute();
    $integrated_sites = $storage->loadMultiple(
      array_keys($integrated_site_ids)
    );
    foreach ($integrated_sites as $integrated_site) {
      $intgr_path = $integrated_site->getPath();
      if (!empty($intgr_path) && ('/' === $intgr_path[0])) {
        $route = new Route(
          $intgr_path,
          [
            '_controller' => '\Drupal\site_integrator\Controller\SiteIntegratorController::SiteIntegratorPage',
            '_title' => '',
          ],
          ['_access' => 'TRUE'],
          ['no_cache' => 'TRUE'],
          '',
          [],
          ['GET', 'POST']
        );
        $route->addOptions(['no_cache' => 'TRUE']);
        $route_name = 'site_integrator.' . $integrated_site->id();
        $route_collection->add($route_name, $route);
      }
    }

    return $route_collection;
  }

}
